Bug 403661 - Can't set DPD timeout option
Summary: Can't set DPD timeout option
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-28 23:50 UTC by Matthew Saltzman
Modified: 2008-11-17 14:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 14:01:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Saltzman 2007-11-28 23:50:27 UTC
Description of problem:
There is an issue with recent vpnc releases (in particular, the one in Fedora 8)
where connections are dropped fairly regularly by the dead-peer detector.  See
bug #345281.

The workaround is a parameter in the config file for vpnc to adjust the DPD
timeout or turn it off, but there is no way to specify the option for a
connection in NM-vpnc.

Version-Release number of selected component (if applicable):
NetworkManager-vpnc-0.7.0-0.4.svn3030.fc8

How reproducible:
Frequently

Steps to Reproduce:
1. Connect using NM-vpnc.
2. Wait.
3.
  
Actual results:
No way to set options in VPN connection editor.
Connection drops.

Expected results:
Options for vpnc can be set in connection editor.
Connection persists until terminated.

Additional info:

Comment 1 Dan Williams 2008-06-26 21:36:50 UTC
I rolled disabling the DPD timeout into the recent rewrite of the vpnc plugin UI
bits.  Its in upstream trunk now and will hit Fedora with the next update.  I
don't have a way to reliably test this outside of just switching the value on
and off (our concentrators do OK with DPD) so if anyone can build from SVN and
see if it works, that would be great.

Comment 2 Dan Williams 2008-11-17 14:01:22 UTC
Should be long-fixed; please re-open if it's not.


Note You need to log in before you can comment on or make changes to this bug.